Scilab Function
Last update : 00/00/0000

hypermat - initialisation d'une matrice à N dimensions

### Calling Sequence

  `M=hypermat(dims [,v])`

### Parameters

- `dims` : vecteur des dimensions de l'hypermatrice
- `v` : vecteur des termes de l'hypermatrice (valeur par défaut `zeros(prod(dims),1)`)

### Description

Initialisation d'une matrice à N dimensions dont les dimensions sont données dans le vecteur dims et dont les termes sont éventuellement donnés dans un vecteur optionnel `v`.

La structure de données M contient un champ `M('dims')` contenant les dimensions de l'hypermatrice et un champ contenant le vecteur des termes `M('entries')`, rangés tel que l'indice le plus à gauche varie en premier : `[M(1,1,..);..;M(n1,1,..);...;M(1,n2,..);..;M(n1,n2,..);...]`

### Examples

    M=hypermat([2 3 2 2],1:24)